Does SDL1.x support modern iOS?

Does SDL1.x support modern iOS? It was 10years ago.
I have been working with SDL version 1.3, SDL1.3/README.iphoneos at master · icebreaker/SDL1.3 · GitHub

SDL version 1.x works on Android, but I am not sure wether it does on iOS(So far it was not compiled successfully.).

Thank you.

No, SDL 1.x does not support iOS.

You may be able to build with sdl12-compat, and include SDL2 as a framework in your iOS application. I haven’t tried that though. Feel free to try it out and continue this thread with your experiments.